Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model.builder.xml
Class DefaultDocumentLoader

    java.lang.Object
      org.springframework.webflow.engine.model.builder.xml.DefaultDocumentLoader

All Implemented Interfaces:
  DocumentLoader

    public class DefaultDocumentLoader

extends java.lang.Object
implements DocumentLoader

The default document loader strategy for XSD-based XML documents with validation enabled by default.

Note: full XSD support requires JDK 5.0 or a capable parser such as Xerces 2.0. JDK 1.4 or < do not fully support XSD out of the box. To use this implementation on JDK 1.4 make sure Xerces is available in your classpath or disable XSD validation by `setting the validating property to false`.

Author:
  Keith Donald

Constructor Summary
`DefaultDocumentLoader()`

Method Summary
`org.xml.sax.EntityResolver` | `getEntityResolver()` Returns the SAX entity resolver used by the XML parser.
`boolean` | `isValidating()` Returns whether or not the XML parser will validate the document.
`org.w3c.dom.Document` | `loadDocument(org.springframework.core.io.Resource resource)` Load the XML-based document from the external resource.
`void` | `setEntityResolver(org.xml.sax.EntityResolver entityResolver)` Set a SAX entity resolver to be used for parsing.
`void` | `setValidating(boolean validating)` Set if the XML parser should validate the document and thus enforce a schema.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDocumentLoader

    public DefaultDocumentLoader()

Method Detail

### isValidating

    public boolean isValidating()

  Returns whether or not the XML parser will validate the document.

### setValidating

    public void setValidating(boolean validating)

  Set if the XML parser should validate the document and thus enforce a schema. Defaults to true.

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Returns the SAX entity resolver used by the XML parser.

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver entityResolver)

  Set a SAX entity resolver to be used for parsing. Can be overridden for custom entity resolution, for example relative to some specific base path.

### loadDocument

    public org.w3c.dom.Document loadDocument(org.springframework.core.io.Resource resource)
                                      throws java.io.IOException,
                                             javax.xml.parsers.ParserConfigurationException,
                                             org.xml.sax.SAXException

  Description copied from interface: `DocumentLoader`
  Load the XML-based document from the external resource.

  Specified by:
    `loadDocument` in interface `DocumentLoader`
  Parameters:
    `resource` - the document resource
  Returns:
    the loaded (parsed) document
  Throws:
    `java.io.IOException` - an exception occured accessing the resource input stream
    `javax.xml.parsers.ParserConfigurationException` - an exception occured building the document parser
    `org.xml.sax.SAXException` - a error occured during document parsing

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD